# server/wsgi.py
from server.routes.eventmedia import eventmedia_bp
from server.routes.events import events_bp
from server.routes.groups import groups_bp
from server.routes.clients import clients_bp
from database import Session, engine
from flask import Flask, jsonify, send_from_directory, request
import glob
import os
import sys
sys.path.append('/workspace')

app = Flask(__name__)

# Blueprints importieren und registrieren

app.register_blueprint(clients_bp)
app.register_blueprint(groups_bp)
app.register_blueprint(events_bp)
app.register_blueprint(eventmedia_bp)


@app.route("/health")
def health():
    return jsonify(status="ok")


@app.route("/")
def index():
    return "Hello from Infoscreen‐API!"


@app.route("/screenshots/<uuid>")
def get_screenshot(uuid):
    pattern = os.path.join("screenshots", f"{uuid}*.jpg")
    files = glob.glob(pattern)
    if not files:
        return jsonify({"error": "Screenshot not found"}), 404
    filename = os.path.basename(files[0])
    return send_from_directory("screenshots", filename)


if __name__ == "__main__":
    app.run(host="0.0.0.0", port=8000, debug=True)
